version: "3.9"

networks:
  wo-network:


services:
  contract-api:
    extends:
      file: docker-compose.contract.yml
      service: contract-api
    volumes: 
      - m2:/var/maven/.m2/repository

  covenant-api:
    extends:
      file: docker-compose.covenant.yml
      service: covenant-api
    volumes: 
      - m2:/var/maven/.m2/repository

  accounts-api:
    extends:
      file: docker-compose.account.yml
      service: accounts-api
    volumes: 
      - m2:/var/maven/.m2/repository

  users-api:
    extends:
      file: docker-compose.users.yml
      service: users-api
    volumes: 
      - m2:/var/maven/.m2/repository

  security-devices-api:
    extends:
      file: docker-compose.security-devices.yml
      service: security-devices-api
    volumes: 
      - m2:/var/maven/.m2/repository

  contratos-frontend:
    extends:
      file: docker-compose.front-contract.yml
      service: contratos-frontend
      
  security-devices-frontend:
    extends:
      file: docker-compose.front-security-devices.yml
      service: security-devices-frontend

volumes:
  m2:
